| Flutter macOS Embedder |

Properties | List of all members
FlutterAppDelegate Class Reference

`#import <FlutterAppDelegate.h>`

Inheritance diagram for FlutterAppDelegate:

## Properties
IBOutlet NSMenu * | applicationMenu
IBOutlet NSWindow * | mainFlutterWindow

## Additional Inherited Members
Instance Methods inherited from <FlutterAppLifecycleProvider>
(void) | - addApplicationLifecycleDelegate:
(void) | - removeApplicationLifecycleDelegate:

## Detailed Description

|NSApplicationDelegate| subclass for simple apps that want default behavior.

This class implements the following behaviors:

- Updates the application name of items in the application menu to match the name in the app's Info.plist, assuming it is set to APP_NAME initially. |applicationMenu| must be set before the application finishes launching for this to take effect.
- Updates the main Flutter window's title to match the name in the app's Info.plist. |mainFlutterWindow| must be set before the application finishes launching for this to take effect.
- Forwards `NSApplicationDelegate` callbacks to plugins that register for them.

App delegates for Flutter applications are not required to inherit from this class. Developers of custom app delegate classes should copy and paste code as necessary from FlutterAppDelegate.mm.

Definition at line 54 of file FlutterAppDelegate.h.

## Property Documentation

## ◆ applicationMenu

- (IBOutlet NSMenu*) applicationMenu
| readwritenonatomicweak

The application menu in the menu bar.

Definition at line 59 of file FlutterAppDelegate.h.

## ◆ mainFlutterWindow

- (IBOutlet NSWindow*) mainFlutterWindow
| readwritenonatomicweak

The primary application window containing a FlutterViewController. This is primarily intended for use in single-window applications.

Definition at line 65 of file FlutterAppDelegate.h.

Referenced by flutter::FlutterPlatformNodeDelegateMac::GetNSWindow().

The documentation for this class was generated from the following file:

- shell/platform/darwin/macos/framework/Headers/FlutterAppDelegate.h